SET SERVEROUTPUT ON;
--spool 
prompt Precarga de datos para las pruebas unitarias de los procedimientos de PCK_ABM...

DECLARE
  RSP VARCHAR2(300);
BEGIN
  -- DATOS DE LOOKUP
  PCK_ABM.ALTA_DATOS_LOOKUP ('TipoAuditoria','EXTERNA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('TipoAuditoria','INTERNA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('estadosmiti','DEFINIDA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('estadosmiti','EN PROCESO', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('estadosmiti','ACABADA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('estadosmiti','EN REVISION', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('estadosvulne','IDENTIFICADA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('estadosvulne','NO MITIGADA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('estadosvulne','PARCIALMENTE MITIGADA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('estadosvulne','TOTALMENTE MITIGADA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('importancia','NO CRITICA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('importancia','CRITICA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('notas','SIN CALIFICAR', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('notas','NO PRESENTADO', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('notas','APTO', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('notas','NO APTO', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('notas','MATRICULA HONOR', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('tipoformacion','PRESENCIAL', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);
  PCK_ABM.ALTA_DATOS_LOOKUP ('tipoformacion','TELEMATICA', RSP);
  dbms_output.put_line('ALTA_DATOS_LOOKUP:'||RSP);


  -- PERSONAL
  PCK_ABM.ALTA_DPTO ('CONTROL DE GESTION', RSP);
  dbms_output.put_line('ALTA_DPTO:'||RSP);
  PCK_ABM.ALTA_DPTO ('COMPRAS', RSP);
  dbms_output.put_line('ALTA_DPTO:'||RSP);
  PCK_ABM.ALTA_DPTO ('CONTABILIDAD', RSP);
  dbms_output.put_line('ALTA_DPTO:'||RSP);
  PCK_ABM.ALTA_DPTO ('FINANCIERO', RSP);
  dbms_output.put_line('ALTA_DPTO:'||RSP);
  PCK_ABM.ALTA_DPTO ('MARKETING', RSP);
  dbms_output.put_line('ALTA_DPTO:'||RSP);
  PCK_ABM.ALTA_DPTO ('CIBER', RSP);
  dbms_output.put_line('ALTA_DPTO:'||RSP);
  PCK_ABM.ALTA_EMPLEADO ('4685541X','RAUL', 'ALONSO', 'SIHURO', 1, sysdate, sysdate+1, null, RSP);
  dbms_output.put_line('ALTA_EMPLEADO:'||RSP);
  PCK_ABM.ALTA_EMPLEADO ('4000541X','JUANA', 'LALOCA', null , 2, sysdate, sysdate+1, null, RSP);
  dbms_output.put_line('ALTA_EMPLEADO:'||RSP);
  PCK_ABM.ALTA_EMPLEADO ('4052541X','PEPE', 'VIYUELA', null , 2, sysdate, sysdate+8, null, RSP);
  dbms_output.put_line('ALTA_EMPLEADO:'||RSP);
  PCK_ABM.ALTA_EMPLEADO ('6544278Q','MARIA', 'ARCEIZ', 'GUSTRAN' , 2, sysdate-5, sysdate+8, null, RSP);
  dbms_output.put_line('ALTA_EMPLEADO:'||RSP);
  PCK_ABM.ALTA_EMPLEADO ('65487878Q','JOSE', 'MENDICO', 'SOELICES' , 2, sysdate-8, sysdate+20, null, RSP);
  dbms_output.put_line('ALTA_EMPLEADO:'||RSP);

  -- FORMACIONES
  PCK_ABM.ALTA_MAESTROSESIONESFORMATIVAS ('TITULO1 SESIONFORMATIVA','AGENDA TITULO1 SESION FORMATIVA', 1, SYSDATE+60, SYSDATE+80, RSP);
  dbms_output.put_line('ALTA_MAESTROSESIONESFORMATIVAS:'||RSP);
  PCK_ABM.ALTA_MAESTROSESIONESFORMATIVAS ('TITULO2 SESIONFORMATIVA','AGENDA TITULO2 SESION FORMATIVA', 1, SYSDATE+60, SYSDATE+90, RSP);
  dbms_output.put_line('ALTA_MAESTROSESIONESFORMATIVAS:'||RSP);
  PCK_ABM.ALTA_MAESTROSESIONESFORMATIVAS ('TITULO3 SESIONFORMATIVA','AGENDA TITULO3 SESION FORMATIVA', 1, SYSDATE+60, SYSDATE+90, RSP);
  dbms_output.put_line('ALTA_MAESTROSESIONESFORMATIVAS:'||RSP);
  PCK_ABM.ALTA_SESIONESFORMATIVAS (1, 1, RSP);
  dbms_output.put_line('ALTA_SESIONESFORMATIVAS:'||RSP);
  PCK_ABM.ALTA_SESIONESFORMATIVAS (1, 2, RSP);
  dbms_output.put_line('ALTA_SESIONESFORMATIVAS:'||RSP);


  -- PROCESOS Y VULNERABILIDADES
  PCK_ABM.ALTA_PROCESOS_NEGOCIO ('proceso1','Es procceso1 consiste en ididijdid djidjd didjij ddidj duugh dv', RSP);
  dbms_output.put_line('ALTA_PROCESOS_NEGOCIO:'||RSP);
  PCK_ABM.ALTA_PROCESOS_NEGOCIO ('proceso2','Es procceso2 consiste en ididijdid djidjd didjij ddidj duugh dv', RSP);
  dbms_output.put_line('ALTA_PROCESOS_NEGOCIO:'||RSP);
  PCK_ABM.ALTA_PROCESOS_NEGOCIO ('proceso3','Es procceso3 consiste en ididijdid djidjd didjij ddidj duugh dv', RSP);
  dbms_output.put_line('ALTA_PROCESOS_NEGOCIO:'||RSP);
  PCK_ABM.ALTA_PROCESOS_NEGOCIO ('proceso4','Es procceso4 consiste en ididijdid djidjd didjij ddidj duugh dv', RSP);
  dbms_output.put_line('ALTA_PROCESOS_NEGOCIO:'||RSP);
  PCK_ABM.ALTA_FABRICANTE ('microsoft','microsoft limited ltd.','Sanfrancisco USA reddhoooddd', RSP);
  dbms_output.put_line('ALTA_FABRICANTE:'||RSP);
  PCK_ABM.ALTA_FABRICANTE ('oracle','oracle inc',NULL, RSP);
  dbms_output.put_line('ALTA_FABRICANTE:'||RSP);
  PCK_ABM.ALTA_FABRICANTE ('BEWE','BEWE SOFTWARE',NULL, RSP);
  dbms_output.put_line('ALTA_FABRICANTE:'||RSP);
  PCK_ABM.ALTA_FABRICANTE ('FACTORIAL','FACTORIAL',NULL, RSP);
  dbms_output.put_line('ALTA_FABRICANTE:'||RSP);
  PCK_ABM.ALTA_FABRICANTE ('IlovePDF','IlovePDF',NULL, RSP);
  dbms_output.put_line('ALTA_FABRICANTE:'||RSP);
  PCK_ABM.ALTA_VULNERABILIDAD ('vulnerabilidad1',1,1,1,NULL, NULL, NULL, NULL,1, RSP);
  dbms_output.put_line('ALTA_VULNERABILIDAD:'||RSP);
  PCK_ABM.ALTA_VULNERABILIDAD ('vulnerabilidad2',1,1,1,NULL, NULL, NULL, NULL,1, RSP);
  dbms_output.put_line('ALTA_VULNERABILIDAD:'||RSP);
  PCK_ABM.ALTA_VULNERABILIDAD ('vulnerabilidad3',1,1,1,NULL, NULL, NULL, SYSDATE,2, RSP);
  dbms_output.put_line('ALTA_VULNERABILIDAD:'||RSP);
  PCK_ABM.ALTA_MITIGACION (1,'mitigacion1','descripcion larga de mitigacion1',1,sysdate+6,1, RSP);
  dbms_output.put_line('ALTA_MITIGACION:'||RSP);
  PCK_ABM.ALTA_MITIGACION (1,'mitigacion2','descripcion larga de mitigacion2',1,sysdate+8,1, RSP);
  dbms_output.put_line('ALTA_MITIGACION:'||RSP);
  PCK_ABM.ALTA_MITIGACION (1,'mitigacion3','descripcion larga de mitigacion3',1,sysdate+10,1, RSP);
  dbms_output.put_line('ALTA_MITIGACION:'||RSP);


  --POLITICAS
  PCK_ABM.ALTA_MAESTROPOLITICAS ('Politica1','Caida en actos de phising', RSP);
  dbms_output.put_line('ALTA_MAESTROPOLITICAS:'||RSP);
  PCK_ABM.ALTA_MAESTROPOLITICAS ('Politica2', 'Ver peliculas en trabajo', RSP);
  dbms_output.put_line('ALTA_MAESTROPOLITICAS:'||RSP);  
  PCK_ABM.ALTA_MAESTROPOLITICAS ('Politica3', 'Envio de informacion a correos externos', RSP);
  dbms_output.put_line('ALTA_MAESTROPOLITICAS:'||RSP); 
  PCK_ABM.ALTA_INCUMPLIMIENTOSPOLITICAS (1,1,5,'Cada vez son mas los actos en los que cade el dpto', 'fffffffffffffffffffd ddfgggggg ', RSP);
  dbms_output.put_line('ALTA_INCUMPLIMIENTOSPOLITICAS:'||RSP);  
  PCK_ABM.ALTA_INCUMPLIMIENTOSPOLITICAS (1,2,10,'uudusdhduhddhu', 'fffffffffffffffffffd ddfgggggg ', RSP);
  dbms_output.put_line('ALTA_INCUMPLIMIENTOSPOLITICAS:'||RSP);  
  PCK_ABM.ALTA_INCUMPLIMIENTOSPOLITICAS (2,2,10,'jifjif', 'ofokfokfofkofkf ddfgggggg ', RSP);
  dbms_output.put_line('ALTA_INCUMPLIMIENTOSPOLITICAS:'||RSP);  

  PCK_ABM.ALTA_INCUMPLIMIENTOSEMPLEADOS (1,SYSDATE-380, RSP);
  dbms_output.put_line('ALTA_INCUMPLIMIENTOSEMPLEADOS:'||RSP); 
  PCK_ABM.ALTA_INCUMPLIMIENTOSEMPLEADOS (1,SYSDATE-390, RSP);
  dbms_output.put_line('ALTA_INCUMPLIMIENTOSEMPLEADOS:'||RSP); 
  PCK_ABM.ALTA_INCUMPLIMIENTOSEMPLEADOS (1,SYSDATE, RSP);
  dbms_output.put_line('ALTA_INCUMPLIMIENTOSEMPLEADOS:'||RSP);  
  PCK_ABM.ALTA_INCUMPLIMIENTOSEMPLEADOS (1,SYSDATE-1, RSP);
  dbms_output.put_line('ALTA_INCUMPLIMIENTOSEMPLEADOS:'||RSP);  
  PCK_ABM.ALTA_INCUMPLIMIENTOSEMPLEADOS (2,SYSDATE-30, RSP);
  dbms_output.put_line('ALTA_INCUMPLIMIENTOSEMPLEADOS:'||RSP);  

END;
/
SET SERVEROUTPUT OFF
--spool off